Skip to main content
GET
/
v2
/
nrt
/
vault
/
{network}
/
{vaultAddress}
Get vault NRT data
curl --request GET \
  --url https://api.vaults.fyi/v2/nrt/vault/{network}/{vaultAddress} \
  --header 'x-api-key: <api-key>'
{
  "totalSupply": "<string>",
  "totalAssets": "<string>",
  "sharePrice": 123,
  "underlyingAssetPrice": 123
}

Authorizations

x-api-key
string
header
required

Path Parameters

network
enum<string>
required

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
vaultAddress
string
required

Address of the vault for which the data will be returned

Pattern: ^0x[a-fA-F0-9]{40}$

Response

NRT response schema

NRT response schema

totalSupply
string
required

Total supply of the vault denominated in asset wei

totalAssets
string
required

Total assets of the vault denominated in asset wei

sharePrice
number
required

Share price of the vault

underlyingAssetPrice
number
required

Underlying asset price of the vault in USD